﻿.shadow {
  -webkit-box-shadow: 0 0 5px 5px rgba(217,4,47,1);
  box-shadow: 0 0 5px 1px rgba(43,45,66,0.8) !important;
}

.modal-dialog {
  margin: 0;
  height: 100%;
}

.modal-content {
  height: 100%;
  border: 0;
  margin: 0;
  border-radius: unset;
  background-color: #343434;
}

.text-xs {
  font-size: 0.6rem !important;
}

body {
  font-size: 2.5vw;
}

.bg-gradient-danger {
  background: linear-gradient(129deg, #d90429 0%, #2b2d42 100%);
}

.main-bg {
  background: linear-gradient(129deg, #edf2f4 0%, #ffffff 100%);
  position: relative;
  overflow: hidden;
}

.accent-bg {
  background: linear-gradient(129deg, #ef233c 0%, #2b2d42 100%);
  position: relative;
  overflow: hidden;
}

footer {
  background: linear-gradient(225deg, #d90429 0%, #2b2d42 100%);
}

.ad-bg {
  background: linear-gradient(129deg, #d90429 0%, #ef233c 100%);
  position: relative;
  overflow: hidden;
}

.main-ico {
  background-color: #2b2d42;
  text-align: center;
}

  .main-ico * {
    color: #fff !important;
  }

  .main-ico i {
    background-color: #fff;
    aspect-ratio: 1 / 1;
    padding: 10px;
    color: #FA4152 !important;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .main-ico p {
    font-size: 0.8em !important;
  }

.text-main-col {
  color: #FA4152;
}

body:before {
  background: #E0E8EB;
  position: fixed;
  content: '';
  z-index: -2;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.main-bg:after {
  background-image: url('../../Images/brand/protanning/bg-protanning.png');
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  opacity: 0.9;
  position: absolute;
  content: '';
  z-index: -1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

body:after {
  background-image: url('../../Images/brand/protanning/bg-protanning.png');
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  opacity: 1;
  position: fixed;
  content: '';
  z-index: -1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.bg-gradient-1 {
  background: rgb(49,37,147);
  background: linear-gradient(138deg, rgba(49,37,147,1) 0%, rgba(88,22,122,1) 100%);
}

.bg-gradient-2 {
  background: rgb(17,106,206);
  background: linear-gradient(138deg, rgba(17,106,206,1) 0%, rgba(164,9,224,1) 100%);
}

.bg-gradient-3 {
  background: rgb(96,33,173);
  background: linear-gradient(138deg, rgba(96,33,173,1) 0%, rgba(179,9,168,1) 100%);
}

main {
  border-radius: unset !important;
}

#bottomnav i {
  color: #FA4152;
  font-size: 1.1em;
}

  #bottomnav i + span {
    display: none;
  }

i.topicon {
  aspect-ratio: 1 / 1;
  border-radius: 50px;
  font-size: 1.6em;
  background-color: #fff;
  color: #FA4152;
}

#bottomnav button.active i + span {
  display: block;
}

#bottomnav button.active i {
  display: block;
  background-color: #FA4152;
  aspect-ratio: 1 / 1;
  border-radius: 50px;
  color: #fff;
  padding: 15px;
  font-size: 1.4em;
  position: absolute;
  top: -60px;
  border: 10px solid #fff;
}

  #bottomnav button.active i + span {
    z-index: 111;
  }

#bottomnav {
  display: flex;
  justify-items: baseline;
}

  #bottomnav li {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  #bottomnav button {
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

.mobile-avatar {
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  border: 5px solid #fff;
}

.mobi-icon {
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  background-color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  ''
}

.mobile-avatar-sm {
  width: 60px;
  border: 0 !important;
}
.mobile-avatar-xs{
  width: 35px;
  border: 0 !important;
}
@media (max-width: 575.98px) {
  h1, .h1 {
    font-size: calc(0.5rem + 2.1vw);
  }
}

footer{
  position:fixed;
  bottom:0;
  z-index:1;
}

main {
  display: flex;
  flex-direction: column;
  height: 100vh; /* Make the main container take the full height of the viewport */
}

 header {
  flex: 0 0 auto; /* Automatically adjusts to the height of its contents */
  position:fixed;
  z-index:1;
  top:0;
  right:0;
  left:0;
}

header ~ div {
  padding-top:130px;
  padding-bottom:30px;
  flex: 1 1 auto; /* Takes the remaining vertical space */
  overflow: auto; /* Ensures scrolling if content exceeds the available space */

}
.cartbtn{
  position:fixed;
  bottom:20px;
  right:20px;
  border-radius:50px;
  display:flex;
  align-items:center;
  justify-content:center;
  margin:0;
  padding:15px 20px;
}
.cartbtn i{
  font-size:1.4rem;
  margin-right:10px;
  aspect-ratio:1 / 1;
}
.innerpage header:after {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  content: '';
  height: 150px;
  background: rgb(250,65,82);
  background: linear-gradient(180deg, rgba(250,65,82,1) 30%, rgba(92,180,194,0) 100%);
  z-index:-1;
}

.vw-90{
  width:90vw;
  max-width:90vw;
}
.modal-dialog-bottom {
  position: absolute;
  bottom: 0;
  margin: 0;
  height: auto !important;
  width: 100%; /* Optional: Make it span the full width */
  max-width: none; /* Override Bootstrap's default max-width */
  transform: translate(0, 50px)!important;
}
.modal.show .modal-dialog-bottom {
  transform: none!important;
}
.cutprice {
position:relative;
font-size:0.8em;
text-decoration:line-through;
}

.rounded-full-right {
  border-radius: 20px 50px 50px 20px;
}
.price {
  border-radius:50px;
  aspect-ratio:1 / 1;
  font-weight:bold;
  flex-direction:column;
  display:flex;
  align-items:center;
  justify-content:center;
}
